import { Platform } from 'react-native';
import { ANDROID_DEFAULT_BUNDLE_NAME, IOS_DEFAULT_BUNDLE_NAME } from '../integrations/rewriteframes';
import { NATIVE } from '../wrapper';
import { convertToSentryProfile } from './convertHermesProfile';
export const DEFAULT_BUNDLE_NAME = Platform.OS === 'android' ? ANDROID_DEFAULT_BUNDLE_NAME : Platform.OS === 'ios' ? IOS_DEFAULT_BUNDLE_NAME : undefined;
const MS_TO_NS = 1e6;
/**
 * Starts Hermes Sampling Profiler and returns the timestamp when profiling started in nanoseconds.
 */
export function startProfiling() {
    const started = NATIVE.startProfiling();
    if (!started) {
        return null;
    }
    const profileStartTimestampNs = Date.now() * MS_TO_NS;
    return profileStartTimestampNs;
}
/**
 * Stops Hermes Sampling Profiler and returns the profile.
 */
export function stopProfiling() {
    const hermesProfile = NATIVE.stopProfiling();
    if (!hermesProfile) {
        return null;
    }
    return convertToSentryProfile(hermesProfile);
}
//# sourceMappingURL=hermes.js.map