import type { DebugImage, Envelope, Event, Profile } from '@sentry/types';
import type { RawThreadCpuProfile } from './types';
/**
 *
 */
export declare function isValidProfile(profile: RawThreadCpuProfile): profile is RawThreadCpuProfile & {
    profile_id: string;
};
/**
 * Finds transactions with profile_id context in the envelope
 * @param envelope
 * @returns
 */
export declare function findProfiledTransactionsFromEnvelope(envelope: Envelope): Event[];
/**
 * Creates a profiling envelope item, if the profile does not pass validation, returns null.
 * @param event
 * @returns {Profile | null}
 */
export declare function createProfilingEvent(profile: RawThreadCpuProfile, event: Event): Profile | null;
/**
 * Returns debug meta images of the loaded bundle.
 */
export declare function getDebugMetadata(): DebugImage[];
/**
 * Adds items to envelope if they are not already present - mutates the envelope.
 * @param envelope
 */
export declare function addProfilesToEnvelope(envelope: Envelope, profiles: Profile[]): Envelope;
//# sourceMappingURL=utils.d.ts.map